#include <iostream>

using namespace std;
typedef unsigned long long ull;
int main()
{
    ull N,M,br=0;
    cin>>N>>M;
    if(N==0 || M==0){cout<<0;}
    else
    {
        if(N==1 || N==2 || M==1 || M==2){cout<<N*M;}
        else
        {
            for(ull i=1;i<N-1;i++)
            {
                for(ull j=1;j<M-1;j++)
                {
                    if((i+j) % 2 == 1)
                    {
                        br++;
                    }
                }
            }
            cout<<br+2*(N+M)-4;
        }
    }

    return 0;
}